Skip to main content Skip to main navigation
Skip to accessibility page Skip to search input

Searching...

Which smartphones and devices are supported?

  • For Android phones Quick Balance requires Android 4.0.3 operating system or above, and iPhone requires iOS 8.0 or above. Find out more details on supported devices.
  • To view your available balance, recent transactions and Altitude Rewards points you'll need version 6.7 of the app. You can view your available balance with version 6.3 of the app